# Copyright (C) 2000 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.5 $

package Cdrom;

# States

sub NoCd     { 'Cdrom__NoCd'; }
sub Stopped  { 'Cdrom__Stopped'; }
sub Playing  { 'Cdrom__Playing'; }
sub Paused   { 'Cdrom__Paused'; }
sub Ripping  { 'Cdrom__Ripping'; }

# Messages

sub State    { 'Cdrom__State'; }
sub Play     { 'Cdrom__Play'; }
sub Pause    { 'Cdrom__Pause'; }
sub Rip      { 'Cdrom__Rip'; }
sub Seek     { 'Cdrom__Seek'; }
sub Stop     { 'Cdrom__Stop'; }
sub Eject    { 'Cdrom__Eject'; }
sub Close    { 'Cdrom__Close'; }

# Responses

sub Status   { 'Cdrom__Status'; }

# Causes

sub None          { 'Cdrom__None'; }
sub Message       { 'Cdrom__Message'; }
sub End           { 'Cdrom__End'; }
sub Ignored       { 'Cdrom__Ignored'; }
sub Invalid       { 'Cdrom__Invalid'; }
sub Error         { 'Cdrom__Error'; }
sub RipError      { 'Cdrom__RipError'; }
sub RipStuck      { 'Cdrom__RipStuck'; }

# Tray status

sub TrayOpen      { 'Cdrom__TrayOpen'; }
sub TrayClosed    { 'Cdrom__TrayClosed'; }

1;
