# Copyright (C) 2000 Gavin Jefferies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Revision: 1.3 $

package Encoder;

# States

sub Idle     { 'Encoder__Idle'; }
sub Encoding { 'Encoder__Encoding'; }

# Messages

sub Encode   { 'Encoder__Encode'; }
sub Stop     { 'Encoder__Stop'; }
sub State    { 'Encoder__State'; }

# Responses

sub Status   { 'Encoder__Status'; }

# Causes

sub None           { 'Encoder__None'; }
sub Stopped        { 'Encoder__Stopped'; }
sub End            { 'Encoder__End'; }
sub Ignored        { 'Encoder__Ignored'; }
sub NotConfigured  { 'Encoder__Invalid'; }
sub Error          { 'Encoder__Error'; }
sub Stuck          { 'Encoder__Stuck'; }

1;
